# class RSS::Rss::Channel::Item::Category

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/0.9.rb, line 387
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.domain = args[0]
        self.content = args[1]
      end
    end

### Private Instance Methods

maker_target(item) click to toggle source

    # File lib/rss/0.9.rb, line 398
    def maker_target(item)
      item.new_category
    end

setup_maker_attributes(category) click to toggle source

    # File lib/rss/0.9.rb, line 402
    def setup_maker_attributes(category)
      category.domain = domain
      category.content = content
    end